Subject: IPv6 DNS packet size

From: Jun-ichiro itojun Hagino <[email-masked]>
Date: Fri, 04 Aug 2000 00:24:28 +0900

it looks to me that the article was From: filtered, so i'd
	like to resend.  sorry if it get through twice.

itojun

To: [email-masked]
cc: [email-masked]
Subject: IPv6 DNS packet size
From: Jun-ichiro itojun Hagino <[email-masked]>
Date: Thu, 03 Aug 2000 23:12:54 +0900
Sender: itojun@localhost

	I made some comment at IETF48 dnsext session.  i write those
	out, in case i wasn't clear enough (language issue...)

itojun

---
- EDNS0
i agree completely with the points raised in the session, like:
	mandate EDNS0 for servers/clients that support A6 queries/replies
	mandate EDNS0 support for IPv6 transport-ready servers/clients
as commented in session, they do not necessarily contradict.

- fragment issues
IPv6 mandates path MTU discovery.  that means, if you try to transmit
UDP packet larger than path MTU, the packet may not go through the path
and dropped (icmp6 too big will be returned, and server/client needs to resend
smaller fragments based on the new path MTU learnt).
For simplicity (avoid retransmit), the following logic should be recommended:
	if (we know path MTU for sure)
		send IPv6 UDP DNs query/reply, fragmented to fit into path MTU.
	else {
		send IPv6 UDP DNs query/reply, fragmented to fit into 1280
		octets.
	}
or, make it even simpler:
	send IPv6 UDP DNS query/reply, fragmented to fit into 1280 octets.

- minimum buffer size
in the session, it was proposed to set minimum DNS buffer size to 1280
for IPv6.

there are couple of parameters.
- RFC2460 section 5 says "IPv6 minimum MTU is 1280 octets".
  this is to carry 256 octets for header, and 1024 octets for message
  body.  as we have this requirement, even if IPv6 packets are tunneled,
  we know for sure that we have minimum MTU of 1280 octets.
  the problem is not in tunnels, but in extension headers (source routing,
  IPsec, mobile ip6 options, whatever) between IPv6 and UDP headers.
- any IPv6 nodes are capable of fragmented packets.  the requirement
  imposes IPv6 nodes to support packets of 1500 octets, after reassembly
  (RFC2460 page 24)

i think it makes more sense to recommend minimum requirement for
"IPv6 UDP payload size for DNS queries/replies" 1024, not 1280.
if we make it 1280, we are likely to see fragmentation, for packets
carrying payload with minimum buffer size.  this looks a bit strange for me.

to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.